com.impinj.stp

## Class StpApi.CartonContentsError.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsError.Builder>
      - - com.impinj.stp.StpApi.CartonContentsError.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.CartonContentsErrorOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.CartonContentsError

      public static final class StpApi.CartonContentsError.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsError.Builder>
      implements StpApi.CartonContentsErrorOrBuilder

  Protobuf type `Impinj.STP.CartonContentsError`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.CartonContentsError` | `build()`
    `StpApi.CartonContentsError` | `buildPartial()`
    `StpApi.CartonContentsError.Builder` | `clear()`
    `StpApi.CartonContentsError.Builder` | `clearErrorType()`
    `StpApi.CartonContentsError.Builder` | `clearExtraTimestamp()`
    `StpApi.CartonContentsError.Builder` | `clearMaxTimestamp()`
    `StpApi.CartonContentsError.Builder` | `clearMinTimestamp()`
    `StpApi.CartonContentsError.Builder` | `clone()`
    `StpApi.CartonContentsError` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.CartonContentsErrorType` | `getErrorType()`
    `StpApi.Timestamp` | `getExtraTimestamp()`
    `StpApi.Timestamp.Builder` | `getExtraTimestampBuilder()`
    `StpApi.TimestampOrBuilder` | `getExtraTimestampOrBuilder()`
    `StpApi.Timestamp` | `getMaxTimestamp()`
    `StpApi.Timestamp.Builder` | `getMaxTimestampBuilder()`
    `StpApi.TimestampOrBuilder` | `getMaxTimestampOrBuilder()`
    `StpApi.Timestamp` | `getMinTimestamp()`
    `StpApi.Timestamp.Builder` | `getMinTimestampBuilder()`
    `StpApi.TimestampOrBuilder` | `getMinTimestampOrBuilder()`
    `boolean` | `hasErrorType()`
    `boolean` | `hasExtraTimestamp()`
    `boolean` | `hasMaxTimestamp()`
    `boolean` | `hasMinTimestamp()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.CartonContentsError.Builder` | `mergeExtraTimestamp(StpApi.Timestamp value)`
    `StpApi.CartonContentsError.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.CartonContentsError.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.CartonContentsError.Builder` | `mergeFrom(StpApi.CartonContentsError other)`
    `StpApi.CartonContentsError.Builder` | `mergeMaxTimestamp(StpApi.Timestamp value)`
    `StpApi.CartonContentsError.Builder` | `mergeMinTimestamp(StpApi.Timestamp value)`
    `StpApi.CartonContentsError.Builder` | `setErrorType(StpApi.CartonContentsErrorType value)`
    `StpApi.CartonContentsError.Builder` | `setExtraTimestamp(StpApi.Timestamp.Builder builderForValue)`
    `StpApi.CartonContentsError.Builder` | `setExtraTimestamp(StpApi.Timestamp value)`
    `StpApi.CartonContentsError.Builder` | `setMaxTimestamp(StpApi.Timestamp.Builder builderForValue)`
    `StpApi.CartonContentsError.Builder` | `setMaxTimestamp(StpApi.Timestamp value)`
    `StpApi.CartonContentsError.Builder` | `setMinTimestamp(StpApi.Timestamp.Builder builderForValue)`
    `StpApi.CartonContentsError.Builder` | `setMinTimestamp(StpApi.Timestamp value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsError.Builder>`

    - #### clear

          public StpApi.CartonContentsError.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsError.Builder>`

    - #### clone

          public StpApi.CartonContentsError.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsError.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsError.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.CartonContentsError getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.CartonContentsError build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.CartonContentsError buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.CartonContentsError.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.CartonContentsError.Builder>`

    - #### mergeFrom

          public StpApi.CartonContentsError.Builder mergeFrom(StpApi.CartonContentsError other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsError.Builder>`

    - #### mergeFrom

          public StpApi.CartonContentsError.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.CartonContentsError.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasErrorType

          public boolean hasErrorType()

      Specified by:
        `hasErrorType` in interface `StpApi.CartonContentsErrorOrBuilder`

    - #### getErrorType

          public StpApi.CartonContentsErrorType getErrorType()

      Specified by:
        `getErrorType` in interface `StpApi.CartonContentsErrorOrBuilder`

    - #### setErrorType

          public StpApi.CartonContentsError.Builder setErrorType(StpApi.CartonContentsErrorType value)

    - #### clearErrorType

          public StpApi.CartonContentsError.Builder clearErrorType()

    - #### hasExtraTimestamp

          public boolean hasExtraTimestamp()

      Specified by:
        `hasExtraTimestamp` in interface `StpApi.CartonContentsErrorOrBuilder`

    - #### getExtraTimestamp

          public StpApi.Timestamp getExtraTimestamp()

      Specified by:
        `getExtraTimestamp` in interface `StpApi.CartonContentsErrorOrBuilder`

    - #### setExtraTimestamp

          public StpApi.CartonContentsError.Builder setExtraTimestamp(StpApi.Timestamp value)

    - #### setExtraTimestamp

          public StpApi.CartonContentsError.Builder setExtraTimestamp(StpApi.Timestamp.Builder builderForValue)

    - #### mergeExtraTimestamp

          public StpApi.CartonContentsError.Builder mergeExtraTimestamp(StpApi.Timestamp value)

    - #### clearExtraTimestamp

          public StpApi.CartonContentsError.Builder clearExtraTimestamp()

    - #### getExtraTimestampBuilder

          public StpApi.Timestamp.Builder getExtraTimestampBuilder()

    - #### getExtraTimestampOrBuilder

          public StpApi.TimestampOrBuilder getExtraTimestampOrBuilder()

      Specified by:
        `getExtraTimestampOrBuilder` in interface `StpApi.CartonContentsErrorOrBuilder`

    - #### hasMinTimestamp

          public boolean hasMinTimestamp()

      Specified by:
        `hasMinTimestamp` in interface `StpApi.CartonContentsErrorOrBuilder`

    - #### getMinTimestamp

          public StpApi.Timestamp getMinTimestamp()

      Specified by:
        `getMinTimestamp` in interface `StpApi.CartonContentsErrorOrBuilder`

    - #### setMinTimestamp

          public StpApi.CartonContentsError.Builder setMinTimestamp(StpApi.Timestamp value)

    - #### setMinTimestamp

          public StpApi.CartonContentsError.Builder setMinTimestamp(StpApi.Timestamp.Builder builderForValue)

    - #### mergeMinTimestamp

          public StpApi.CartonContentsError.Builder mergeMinTimestamp(StpApi.Timestamp value)

    - #### clearMinTimestamp

          public StpApi.CartonContentsError.Builder clearMinTimestamp()

    - #### getMinTimestampBuilder

          public StpApi.Timestamp.Builder getMinTimestampBuilder()

    - #### getMinTimestampOrBuilder

          public StpApi.TimestampOrBuilder getMinTimestampOrBuilder()

      Specified by:
        `getMinTimestampOrBuilder` in interface `StpApi.CartonContentsErrorOrBuilder`

    - #### hasMaxTimestamp

          public boolean hasMaxTimestamp()

      Specified by:
        `hasMaxTimestamp` in interface `StpApi.CartonContentsErrorOrBuilder`

    - #### getMaxTimestamp

          public StpApi.Timestamp getMaxTimestamp()

      Specified by:
        `getMaxTimestamp` in interface `StpApi.CartonContentsErrorOrBuilder`

    - #### setMaxTimestamp

          public StpApi.CartonContentsError.Builder setMaxTimestamp(StpApi.Timestamp value)

    - #### setMaxTimestamp

          public StpApi.CartonContentsError.Builder setMaxTimestamp(StpApi.Timestamp.Builder builderForValue)

    - #### mergeMaxTimestamp

          public StpApi.CartonContentsError.Builder mergeMaxTimestamp(StpApi.Timestamp value)

    - #### clearMaxTimestamp

          public StpApi.CartonContentsError.Builder clearMaxTimestamp()

    - #### getMaxTimestampBuilder

          public StpApi.Timestamp.Builder getMaxTimestampBuilder()

    - #### getMaxTimestampOrBuilder

          public StpApi.TimestampOrBuilder getMaxTimestampOrBuilder()

      Specified by:
        `getMaxTimestampOrBuilder` in interface `StpApi.CartonContentsErrorOrBuilder`